MagickCore: list.c File Reference

# list.c File Reference

`#include "magick/studio.h"`
`#include "magick/blob.h"`
`#include "magick/blob-private.h"`
`#include "magick/exception.h"`
`#include "magick/exception-private.h"`
`#include "magick/list.h"`
`#include "magick/memory_.h"`
`#include "magick/string_.h"`

## Functions
MagickExport void | AppendImageToList (Image **images, const Image *image)
MagickExport Image * | CloneImageList (const Image *images, ExceptionInfo *exception)
MagickExport Image * | CloneImages (const Image *images, const char *scenes, ExceptionInfo *exception)
MagickExport void | DeleteImageFromList (Image **images)
MagickExport void | DeleteImages (Image **images, const char *scenes, ExceptionInfo *exception)
MagickExport Image * | DestroyImageList (Image *images)
MagickExport Image * | GetFirstImageInList (const Image *images)
MagickExport Image * | GetImageFromList (const Image *images, const long index)
MagickExport long | GetImageIndexInList (const Image *images)
MagickExport unsigned long | GetImageListLength (const Image *images)
MagickExport Image * | GetLastImageInList (const Image *images)
MagickExport Image * | GetNextImageInList (const Image *images)
MagickExport Image * | GetPreviousImageInList (const Image *images)
MagickExport Image ** | ImageListToArray (const Image *images, ExceptionInfo *exception)
MagickExport void | InsertImageInList (Image **images, Image *image)
MagickExport Image * | NewImageList (void)
MagickExport void | PrependImageToList (Image **images, Image *image)
MagickExport Image * | RemoveImageFromList (Image **images)
MagickExport Image * | RemoveFirstImageFromList (Image **images)
MagickExport Image * | RemoveLastImageFromList (Image **images)
MagickExport void | ReplaceImageInList (Image **images, Image *image)
MagickExport void | ReverseImageList (Image **images)
MagickExport Image * | SpliceImageIntoList (Image **images, const unsigned long length, const Image *splice)
MagickExport Image * | SplitImageList (Image *images)
MagickExport void | SyncImageList (Image *images)
MagickExport Image * | SyncNextImageInList (const Image *images)

## Function Documentation

MagickExport void AppendImageToList | ( | Image ** | images,
|  | const Image * | image |
| ) |  |  |

MagickExport Image* CloneImageList | ( | const Image * | images,
|  | ExceptionInfo * | exception |
| ) |  |  |

MagickExport Image* CloneImages | ( | const Image * | images,
|  | const char * | scenes,
|  | ExceptionInfo * | exception |
| ) |  |  |

MagickExport void DeleteImageFromList | ( | Image ** | images | ) |

MagickExport void DeleteImages | ( | Image ** | images,
|  | const char * | scenes,
|  | ExceptionInfo * | exception |
| ) |  |  |

MagickExport Image* DestroyImageList | ( | Image * | images | ) |

MagickExport Image* GetFirstImageInList | ( | const Image * | images | ) |

MagickExport Image* GetImageFromList | ( | const Image * | images,
|  | const long | index |
| ) |  |  |

MagickExport long GetImageIndexInList | ( | const Image * | images | ) |

MagickExport unsigned long GetImageListLength | ( | const Image * | images | ) |

MagickExport Image* GetLastImageInList | ( | const Image * | images | ) |

MagickExport Image* GetNextImageInList | ( | const Image * | images | ) |

MagickExport Image* GetPreviousImageInList | ( | const Image * | images | ) |

MagickExport Image** ImageListToArray | ( | const Image * | images,
|  | ExceptionInfo * | exception |
| ) |  |  |

MagickExport void InsertImageInList | ( | Image ** | images,
|  | Image * | image |
| ) |  |  |

MagickExport Image* NewImageList | ( | void |  | ) |

MagickExport void PrependImageToList | ( | Image ** | images,
|  | Image * | image |
| ) |  |  |

MagickExport Image* RemoveFirstImageFromList | ( | Image ** | images | ) |

MagickExport Image* RemoveImageFromList | ( | Image ** | images | ) |

MagickExport Image* RemoveLastImageFromList | ( | Image ** | images | ) |

MagickExport void ReplaceImageInList | ( | Image ** | images,
|  | Image * | image |
| ) |  |  |

MagickExport void ReverseImageList | ( | Image ** | images | ) |

MagickExport Image* SpliceImageIntoList | ( | Image ** | images,
|  | const unsigned long | length,
|  | const Image * | splice |
| ) |  |  |

MagickExport Image* SplitImageList | ( | Image * | images | ) |

MagickExport void SyncImageList | ( | Image * | images | ) |

MagickExport Image* SyncNextImageInList | ( | const Image * | images | ) |